﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Odbc;
using System.Data.OleDb;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.UI;

namespace SoftArtisansHolidayCardGenerator
{
    public static class DataGenerator
    {

        public static DataTable GetDummyData()
        {
            return GetDataTableFromCsv(HttpContext.Current.Server.MapPath("\\data\\DummyData.csv"),true);
        }

        /// <summary>
        /// Converts a CSV file to a data table. Replace this code with you own database calls.
        /// </summary>
        /// <param name="path">path of the CSV file</param>
        /// <param name="isFirstRowHeader">Is the first row a header row</param>
        /// <returns></returns>
        private static DataTable GetDataTableFromCsv(string path, bool isFirstRowHeader)
        {
            string header = isFirstRowHeader ? "Yes" : "No";

            string pathOnly = Path.GetDirectoryName(path);
            string fileName = Path.GetFileName(path);

            string sql = @"SELECT * FROM [" + fileName + "]";

            using (OleDbConnection connection = new OleDbConnection(
                      @"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + pathOnly +
                      ";Extended Properties=\"Text;HDR=" + header + "\""))
            using (OleDbCommand command = new OleDbCommand(sql, connection))
            using (OleDbDataAdapter adapter = new OleDbDataAdapter(command))
            {
                DataTable dataTable = new DataTable();
                dataTable.Locale = CultureInfo.CurrentCulture;
                adapter.Fill(dataTable);
                return dataTable;
            }
        }
    }
}